--- a/Makefile
+++ b/Makefile
@@ -26,10 +26,9 @@
 LOGDIRMODE=700
 
 # Compiler to use
-CC=gcc
 
 # Compiler warnings
-WARNINGS= -pedantic -Wall
+CFLAGS += -pedantic -Wall
 
 # Compiler flags
 CCOPTS = -O2 -fomit-frame-pointer
@@ -61,7 +60,7 @@
 all: $(PROGRAM)
 
 $(PROGRAM): $(ISO3166OBJ)
-	$(CC) $(CCOPTS) $(ISO3166OBJ) -o $@
+	$(CC) $(CFLAGS) $(LDFLAGS) $(ISO3166OBJ) -o $@
 
 clean:
 	rm -f $(ISO3166OBJ) core defines.h $(PROGRAM)
@@ -70,8 +69,10 @@
 	strip $(PROGRAM)
 
 install:
-	$(INSTALL) -g root -m $(BINMODE) -o root -s ${srcdir}/$(PROGRAM) ${bindir}
+	mkdir -p ${bindir}
+	$(INSTALL) -g root -m $(BINMODE) -o root ${srcdir}/$(PROGRAM) ${bindir}
 	@echo "Installing man page..."
+	mkdir -p ${mandir}
 	@$(SEDBIN) $(SEDCMDS) ${docdir}/iso3166.1.in > ${mandir}/iso3166.1
 	@chown 0.0 ${mandir}/iso3166.1
 	@echo
@@ -80,9 +81,6 @@
 	rm -f ${bindir}/$(PROGRAM)
 	rm -f ${mandir}/iso3166.1
 
-.c.o:
-	$(CC) $(CCOPTS) $(WARNINGS) -c $<
-
 $(ISO3166OBJ): common.h defines.h protos.h tables.h
 
 defines.h:
